Name: smokegen
Version: 4.7.2
Release: 1%{?dist}
Summary: Smoke Generator

License: LGPLv2 and GPLv2+
URL: https://projects.kde.org/projects/kde/kdebindings/smoke 
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

## upstreamable patches
# fix smoke generator invalid reads found by valgrind
Patch50: smokegen-4.7.0-crash.patch

BuildRequires: cmake
BuildRequires: qt4-devel

Conflicts: kdebindings < 4.7.0

%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
This package includes Smoke Generator.

%package devel
Summary: Development files for Smoke Generator
Conflicts: kdebindings-devel < 4.7.0
Requires: qt4-devel
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q
%patch50 -p1 -b .crash


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING COPYING.LIB
%doc README
%{_libdir}/lib*.so.*

%files devel
%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/smokegen/
%{_includedir}/smoke.h
%{_includedir}/smokegen/
%{_datadir}/smoke/
%{_datadir}/smokegen/


%changelog
* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-1
- 4.7.2

* Thu Sep 29 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-3
- %%doc: COPYING COPYING.LIB
- drop Obsoletes: kdebindings (move to smokekde)
- drop deprecated tags from .spec
- drop kde macros

* Fri Sep 16 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-2
- BR: qt4-devel

* Tue Sep 06 2011 Than Ngo <than@redhat.com> - 4.7.1-1
- 4.7.1

* Tue Aug 02 2011 Than Ngo <than@redhat.com> - 4.7.0-2
- patch smoke generator invalid reads found by valgrind

* Tue Jul 26 2011 Than Ngo <than@redhat.com> - 4.7.0-1
- 4.7.0

* Fri Jul 22 2011 Than Ngo <than@redhat.com> - 4.6.95-1
- 4.7 rc1

* Wed Jul 06 2011 Than Ngo <than@redhat.com> - 4.6.90-1
- first Fedora RPM
